System.Core 3.5.0.0 System.Object

The type is used by the expression tree compiler, which is an internal component of the vbteclinq expression tree API, and by the dynamic methods that it generates.

Represents the runtime state of a dynamically generated method.

- Method
  3.5.0.0
  System.Delegate `` `` To be added.

  Creates a delegate that can be used to execute a dynamically generated method.

  A that can execute a dynamically generated method.

  The index of the object that stores information about associated lambda expression of the dynamic method. An array that contains the hoisted local variables from the parent context.
- Method
  3.5.0.0
  System.Object[] To be added.

  Creates an array to store the hoisted local variables.

  An array to store hoisted local variables.

- Field
  3.5.0.0
  System.Object[] To be added.

  Represents the non-trivial constants and locally executable expressions that are referenced by a dynamically generated method.

- Method
  3.5.0.0
  System.Linq.Expressions.Expression `` `` To be added.

  Frees a specified expression tree of external parameter references by replacing the parameter with its current value.

  An expression tree that does not contain external parameter references.

  An expression tree to free of external parameter references. An array that contains the hoisted local variables.
- Field
  3.5.0.0
  System.Object[] To be added.

  Represents the hoisted local variables from the parent context.

- Field
  3.5.0.0
  System.Runtime.CompilerServices.ExecutionScope To be added.

  Represents the execution scope of the calling delegate.